ace-commits mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Marcel Offermans (JIRA)" <j...@apache.org>
Subject [jira] [Updated] (ACE-231) Build fails with compilation errors on Java 7
Date Wed, 23 Jan 2013 15:48:15 GMT

     [ https://issues.apache.org/jira/browse/ACE-231?page=com.atlassian.jira.plugin.system.issuetabpanels:all-tabpanel
]

Marcel Offermans updated ACE-231:
---------------------------------

    Component/s: Build
    
> Build fails with compilation errors on Java 7
> ---------------------------------------------
>
>                 Key: ACE-231
>                 URL: https://issues.apache.org/jira/browse/ACE-231
>             Project: ACE
>          Issue Type: Bug
>          Components: Build
>    Affects Versions: 0.8.0-incubator
>         Environment: Apache Maven 3.0.4 (r1232337; 2012-01-17 09:44:56+0100)
> Maven home: C:\bramk\Apache Maven\apache-maven-3.0.4
> Java version: 1.7.0_01, vendor: Oracle Corporation
> Java home: c:\Program Files\Java\jdk1.7.0_01\jre
> Default locale: en_US, platform encoding: Cp1252
> OS name: "windows 7", version: "6.1", arch: "amd64", family: "windows"
>            Reporter: Bram de Kruijff
>
> Java6 build successful. This is what I get Java7  
> {code}
> [INFO] ------------------------------------------------------------------------
> [INFO] BUILD FAILURE
> [INFO] ------------------------------------------------------------------------
> [INFO] Total time: 1:36.308s
> [INFO] Finished at: Fri Mar 16 12:03:33 CET 2012
> [INFO] Final Memory: 238M/581M
> [INFO] ------------------------------------------------------------------------
> [ERROR] Failed to execute goal org.apache.maven.plugins:maven-compiler-plugin:2.0.2:compile
(default-compile) on project org.apache.ace.deployment.verifier: Com
> pilation failure: Compilation failure:
> [ERROR] C:\bramk\Apache ACE\svn\ace\ace-deployment-verifier\src\main\java\org\apache\ace\deployment\verifier\impl\VerifierResolverState.java:[164,44]
error: inc
> ompatible types
> [ERROR]
> [ERROR] could not parse error message:   required: String
> [ERROR] found:    Object
> [ERROR] C:\bramk\Apache ACE\svn\ace\ace-deployment-verifier\src\main\java\org\apache\ace\deployment\verifier\impl\VerifierResolverState.java:185:
error: incompa
> tible types
> [ERROR] String filter = req.getDirectives().get(
> [ERROR] ^
> [ERROR]
> [ERROR] could not parse error message:   required: String
> [ERROR] found:    Object
> [ERROR] C:\bramk\Apache ACE\svn\ace\ace-deployment-verifier\src\main\java\org\apache\felix\framework\resolver\ResolverImpl.java:436:
error: incompatible types
> [ERROR] for (BundleCapability cap : revision.getWiring().getCapabilities(null))
> [ERROR] ^
> [ERROR]
> [ERROR] could not parse error message:   required: BundleCapability
> [ERROR] found:    Object
> [ERROR] C:\bramk\Apache ACE\svn\ace\ace-deployment-verifier\src\main\java\org\apache\felix\framework\resolver\ResolverImpl.java:535:
error: incompatible types
> [ERROR] for (BundleWire wire : revision.getWiring().getRequiredWires(null))
> [ERROR] ^
> [ERROR]
> [ERROR] could not parse error message:   required: BundleWire
> [ERROR] found:    Object
> [ERROR] C:\bramk\Apache ACE\svn\ace\ace-deployment-verifier\src\main\java\org\apache\felix\framework\resolver\ResolverImpl.java:590:
error: incompatible types
> [ERROR] for (BundleRequirement req : revision.getDeclaredRequirements(null))
> [ERROR] ^
> [ERROR]
> [ERROR] could not parse error message:   required: BundleRequirement
> [ERROR] found:    Object
> [ERROR] C:\bramk\Apache ACE\svn\ace\ace-deployment-verifier\src\main\java\org\apache\felix\framework\resolver\ResolverImpl.java:592:
error: incompatible types
> [ERROR] String resolution = req.getDirectives().get(Constants.RESOLUTION_DIRECTIVE);
> [ERROR] ^
> [ERROR]
> [ERROR] could not parse error message:   required: String
> [ERROR] found:    Object
> [ERROR] C:\bramk\Apache ACE\svn\ace\ace-deployment-verifier\src\main\java\org\apache\felix\framework\resolver\ResolverImpl.java:761:
error: incompatible types
> [ERROR] : candCap.getRevision().getWiring().getRequiredWires(null))
> [ERROR] ^
> [ERROR]
> [ERROR] could not parse error message:   required: BundleWire
> [ERROR] found:    Object
> [ERROR] C:\bramk\Apache ACE\svn\ace\ace-deployment-verifier\src\main\java\org\apache\felix\framework\resolver\ResolverImpl.java:767:
error: incompatible types
> [ERROR] .getDirectives().get(Constants.VISIBILITY_DIRECTIVE);
> [ERROR] ^
> [ERROR]
> [ERROR] could not parse error message:   required: String
> [ERROR] found:    Object
> [ERROR] C:\bramk\Apache ACE\svn\ace\ace-deployment-verifier\src\main\java\org\apache\felix\framework\resolver\ResolverImpl.java:788:
error: incompatible types
> [ERROR] : candCap.getRevision().getDeclaredRequirements(null))
> [ERROR] ^
> [ERROR]
> [ERROR] could not parse error message:   required: BundleRequirement
> [ERROR] found:    Object
> [ERROR] C:\bramk\Apache ACE\svn\ace\ace-deployment-verifier\src\main\java\org\apache\felix\framework\resolver\ResolverImpl.java:793:
error: incompatible types
> [ERROR] req.getDirectives().get(Constants.VISIBILITY_DIRECTIVE);
> [ERROR] ^
> [ERROR]
> [ERROR] could not parse error message:   required: String
> [ERROR] found:    Object
> [ERROR] C:\bramk\Apache ACE\svn\ace\ace-deployment-verifier\src\main\java\org\apache\felix\framework\resolver\ResolverImpl.java:1316:
error: incompatible types
> [ERROR] for (BundleRequirement req : revision.getDeclaredRequirements(null))
> [ERROR] ^
> [ERROR]
> [ERROR] could not parse error message:   required: BundleRequirement
> [ERROR] found:    Object
> [ERROR] C:\bramk\Apache ACE\svn\ace\ace-deployment-verifier\src\main\java\org\apache\felix\framework\resolver\ResolverImpl.java:1484:
error: incompatible types
> [ERROR] for (BundleRequirement req : revision.getDeclaredRequirements(null))
> [ERROR] ^
> [ERROR]
> [ERROR] could not parse error message:   required: BundleRequirement
> [ERROR] found:    Object
> [ERROR] C:\bramk\Apache ACE\svn\ace\ace-deployment-verifier\src\main\java\org\apache\felix\framework\resolver\ResolverImpl.java:1538:
error: constructor Resolve
> rWireImpl in class ResolverWireImpl cannot be applied to given types;
> [ERROR] new ResolverWireImpl(
> [ERROR] ^
> [ERROR]
> [ERROR] could not parse error message:   required: BundleRevision,BundleRequirement,BundleRevision,BundleCapability
> [ERROR] found: BundleRevision,Object,BundleRevision,Object
> [ERROR] reason: actual argument Object cannot be converted to BundleRequirement by method
invocation conversion
> [ERROR] C:\bramk\Apache ACE\svn\ace\ace-deployment-verifier\src\main\java\org\apache\felix\framework\resolver\Candidates.java:279:
error: incompatible types
> [ERROR] String resolution = req.getDirectives().get(Constants.RESOLUTION_DIRECTIVE);
> [ERROR] ^
> [ERROR]
> [ERROR] could not parse error message:   required: String
> [ERROR] found:    Object
> [ERROR] C:\bramk\Apache ACE\svn\ace\ace-deployment-verifier\src\main\java\org\apache\felix\framework\resolver\Candidates.java:358:
error: incompatible types
> [ERROR] for (BundleWire wire : wiring.getRequiredWires(null))
> [ERROR] ^
> [ERROR]
> [ERROR] could not parse error message:   required: BundleWire
> [ERROR] found:    Object
> [ERROR] C:\bramk\Apache ACE\svn\ace\ace-deployment-verifier\src\main\java\org\apache\felix\framework\resolver\Candidates.java:934:
error: incompatible types
> [ERROR] for (BundleRequirement r : br.getDeclaredRequirements(null))
> [ERROR] ^
> [ERROR]
> [ERROR] could not parse error message:   required: BundleRequirement
> [ERROR] found:    Object
> [ERROR] C:\bramk\Apache ACE\svn\ace\ace-deployment-verifier\src\main\java\org\apache\felix\framework\resolver\Candidates.java:939:
error: incompatible types
> [ERROR] for (BundleCapability c : br.getDeclaredCapabilities(null))
> [ERROR] ^
> [ERROR]
> [ERROR] could not parse error message:   required: BundleCapability
> [ERROR] found:    Object
> [ERROR] C:\bramk\Apache ACE\svn\ace\ace-deployment-verifier\src\main\java\org\apache\felix\framework\resolver\Candidates.java:1122:
error: incompatible types
> [ERROR] String value = modCaps.get(0).getDirectives().get(Constants.SINGLETON_DIRECTIVE);
> [ERROR] ^
> [ERROR]
> [ERROR] could not parse error message:   required: String
> [ERROR] found:    Object
> [ERROR] C:\bramk\Apache ACE\svn\ace\ace-deployment-verifier\src\main\java\org\apache\felix\framework\resolver\HostBundleRevision.java:73:
error: incompatible ty
> pes
> [ERROR] for (BundleCapability cap : m_host.getDeclaredCapabilities(null))
> [ERROR] ^
> [ERROR]
> [ERROR] could not parse error message:   required: BundleCapability
> [ERROR] found:    Object
> [ERROR] C:\bramk\Apache ACE\svn\ace\ace-deployment-verifier\src\main\java\org\apache\felix\framework\resolver\HostBundleRevision.java:83:
error: incompatible ty
> pes
> [ERROR] for (BundleCapability cap : fragment.getDeclaredCapabilities(null))
> [ERROR] ^
> [ERROR]
> [ERROR] could not parse error message:   required: BundleCapability
> [ERROR] found:    Object
> [ERROR] C:\bramk\Apache ACE\svn\ace\ace-deployment-verifier\src\main\java\org\apache\felix\framework\resolver\HostBundleRevision.java:103:
error: incompatible t
> ypes
> [ERROR] for (BundleRequirement req : m_host.getDeclaredRequirements(null))
> [ERROR] ^
> [ERROR]
> [ERROR] could not parse error message:   required: BundleRequirement
> [ERROR] found:    Object
> [ERROR] C:\bramk\Apache ACE\svn\ace\ace-deployment-verifier\src\main\java\org\apache\felix\framework\resolver\HostBundleRevision.java:113:
error: incompatible t
> ypes
> [ERROR] for (BundleRequirement req : fragment.getDeclaredRequirements(null))
> [ERROR] ^
> [ERROR]
> [ERROR] could not parse error message:   required: BundleRequirement
> [ERROR] found:    Object
> [ERROR] C:\bramk\Apache ACE\svn\ace\ace-deployment-verifier\src\main\java\org\apache\ace\deployment\verifier\impl\VerifierBundleRevision.java:75:
error: incompa
> tible types
> [ERROR] for (Entry<String, Object> entry : aliasCaps.get(capIdx).getAttributes().entrySet())
> [ERROR] ^
> [ERROR]
> [ERROR] could not parse error message:   required: Entry<String,Object>
> [ERROR] found:    Object
> [ERROR] C:\bramk\Apache ACE\svn\ace\ace-deployment-verifier\src\main\java\org\apache\felix\framework\util\Util.java:341:
error: incompatible types
> [ERROR] String resolution = req.getDirectives().get(Constants.RESOLUTION_DIRECTIVE);
> [ERROR] ^
> [ERROR]
> [ERROR] could not parse error message:   required: String
> [ERROR] found:    Object
> [ERROR] C:\bramk\Apache ACE\svn\ace\ace-deployment-verifier\src\main\java\org\apache\ace\deployment\verifier\impl\VerifierServiceImpl.java:227:
error: type Serv
> iceReference does not take parameters
> [ERROR] public ServiceReference<?>[] getRegisteredServices() {
> [ERROR] ^
> [ERROR]
> [ERROR] C:\bramk\Apache ACE\svn\ace\ace-deployment-verifier\src\main\java\org\apache\ace\deployment\verifier\impl\VerifierServiceImpl.java:[232,29]
error: type
> ServiceReference does not take parameters
> [ERROR]
> [ERROR] C:\bramk\Apache ACE\svn\ace\ace-deployment-verifier\src\main\java\org\apache\ace\deployment\verifier\impl\VerifierServiceImpl.java:[168,18]
error: <anon
> ymous org.apache.ace.deployment.verifier.impl.VerifierServiceImpl$VerifyEnvironmentImpl$3>
is not abstract and does not override abstract method adapt(Class) in
>  Bundle
> [ERROR]
> [ERROR] C:\bramk\Apache ACE\svn\ace\ace-deployment-verifier\src\main\java\org\apache\ace\deployment\verifier\impl\VerifierServiceImpl.java:[306,19]
error: name
> clash: <A>adapt(Class<A>) in <anonymous org.apache.ace.deployment.verifier.impl.VerifierServiceImpl$VerifyEnvironmentImpl$3>
and adapt(Class) in Bundle have the
>  same erasure, yet neither overrides the other
> {code}

--
This message is automatically generated by JIRA.
If you think it was sent incorrectly, please contact your JIRA administrators
For more information on JIRA, see: http://www.atlassian.com/software/jira

Mime
View raw message